#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'lelang.formuli_penunjukan_sppbj'}
#{/set}

<div class="breadcrumb">&{'lelang.formuli_penunjukan_sppbj'}</div>
<div class="content">
<table class="table table-condensed">
    <tr>
        <th width="150">&{'lelang.kode_tender'}</th>
        <td>${lls.lls_id}</td>
    </tr>
    <tr>
        <th>&{'lelang.nama_paket'}</th>
        <td>${lls.paket.pkt_nama}</td>
    </tr>
    <tr>
        <th>Nomor <span class="warning">*</span></th>
        <td><input class="form-control" maxlength="100" style="width:200px;" t:type="textfield" t:id="Nomor" value="${sppbj?.sppbj_no}" validate="required"/></td>
    </tr>
    <tr>
        <th>T&{'lelang.tanggal_buat'} <span class="warning">*</span></th>
        <td>
            <div data-format="MM/dd/yyyy HH:mm:ss" class="col-lg-10 datepicker input-group width-normal">
                <input type="text" value="${sppbj?.sppbj_tgl_buat}" class="form-control" />
                    <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
                </span>
            </div>
        </td>
    </tr>
    <tr>
        <th>&{'lelang.sppbj_ditujukan'}</th>
        <td><t:RadioGroup value="sppbjedit.rkn_id" validate="required" t:id="pemenang">
            <table class="vertTable bordered" style="width:100%">
                <tr>
                    <th class="fcol titleTop"></th>
                    <th class="titleTop">&{'lelang.pemenang'}</th>
                    <th class="hrlast titleTop">Email</th>
                </tr>
                <t:loop source="pemenangList" value="peserta" encoder="encoder">
                    #{list items:pesertaList.rekanan, as:'peserta'}
                    <tr>
                        <td style="text-align:center"><input type="radio" value="peserta.rkn_id"/></td>
                        <td>${peserta.rkn_nama}</td>
                        <td>${peserta.rkn_email}</td>
                    </tr>
                    #{/list}
                </t:loop>
            </table>
        </t:RadioGroup></td>
    </tr>
    <tr>
        <th>Dokumen SPPBJ</th>
        <td>
            <table class="vertTable bordered">
                <tr>
                    <th class="fcol titleTop"></th>
                     <th class="hrlast titleTop">&{'lelang.nama_file'}</th>
                  </tr>
                  	#{list items:sppbjList,as:'list'}                  
		            <tr>
		                 <td style="text-align:center"><input type="radio" value="list.sppbj_id"/></td>
		                 <td>${list.blob.getFileName()}</td>
		             </tr>
		            #{/list}
            </table>
            <input type="file" id="attachment" name="sppbj.sppbj_attachment" />
        </td>
    </tr>
</table>
<div class="tableFoot">
    <span class="warning">*</span> &{'lelang.harus_diisi'}<br/>
    &{'lelang.kirim_penyedia'}
</div>
    <a href="#" class="btn  btn-success">&{'lelang.kirim'}</a>
    #{backButton /}
    <div class="breadcrumb">&{'lelang.daftar_penunjukan'}</div>
<table class="table table-condensed ">
    	<tr>
			<th class="titleTop">&{'lelang.no_sppbj'}</th>
			<th class="titleTop">&{'lelang.doc'}</th>
			<th class="titleTop">&{'lelang.tgl_kirim'}</th>
			<th class="hrlast titleTop">&{'lelang.status'}</th>
		</tr>
		#{list items:sppbjList,as:'list'}
		<tr>			
			<td><a t:type="pagelink" page="ppk/PPKsppbj" parameters="{'q':list.sppbj_id}">${list.sppbj_no}</a></td>			  
			<td>${list.blob.getFileName()}</td>
			<td>${list.sppbj_tgl_kirim?.formatDateTime()}</td>
			<td>${list.status}</td>
		</tr>
		#{/list}
		</t:loop>
</table>
</div>
#{set 'css_custom' } 
<link href="#{assets '/bootstrap/css/bootstrap-datetimepicker.min.css'/}" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/bootstrap/js/bootstrap-datetimepicker.min.js'/}"></script>
#{/set}